<!--
  Generated template for the AccountDetailPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

	<ion-navbar>
		<ion-title>Détail de Mon Compte</ion-title>
		<button ion-button="" menuToggle="">
			<ion-icon name="menu"></ion-icon>
		</button>
    <img src="assets/icon/logo.png" alt="finpay" class="right-finpay"/>
	</ion-navbar>

</ion-header>


<ion-content >

	<ion-grid class="grid-center-md grid-center-ios">
		<ion-row justify-content-center class="row-top">
			<ion-col col-8 col-sm col-auto >
				<img src="assets/icon/circle_logo.png" class="logo-reservation">
				<h3 class="title_header" text-capitalise >Détail de mon compte FinPAY</h3>
			</ion-col>
		</ion-row>
		<ion-row justify-content-center class="center-block-reservation">
      <ion-col col-12 col-sm col-auto >
        <ion-card id="details"> 
          <ion-card-content>
            <p >
              <b>Solde :</b> {{ availableBalance | number: '2.' }} MGA 
            </p>
          </ion-card-content>
        </ion-card> 
      </ion-col>
    </ion-row>	
	</ion-grid>
	<ion-grid class="grid-center-md grid-center-ios">
		<ion-row justify-content-center class="center-block-reservation">
            <ion-col col-8 col-sm col-auto >
              <ion-card id="details"> 
                <ion-card-content>
                  <p >
                    Description
                  </p>
                </ion-card-content>
              </ion-card>
            </ion-col>
            <ion-col col-4 col-sm col-auto >
              <ion-card id="details"> 
                <ion-card-content>
                  <p >
                    Solde
                  </p>
                </ion-card-content>
              </ion-card>
            </ion-col>
      </ion-row>
        <ion-row justify-content-center *ngFor="let history of historiess">
            <ion-col col-6 *ngIf="history.relatedKind == 'user' ; then user else system "></ion-col>
                <ng-template #user>
                  	<ion-col col-8 col-sm col-auto>
                      <ion-card id="details"> 
                        <ion-card-content>
                      	<span *ngIf = "history.amount >= 0">Réçu </span> 
                   		<span *ngIf = "history.amount <= 0">En faveur </span>     
                    	{{ history.description }}
                    	{{ history.relatedUser.display }}

                        </ion-card-content>
                      </ion-card>
                  	</ion-col>

                  	<ion-col col-4  col-sm col-auto>
                      <ion-card id="details"> 
                        <ion-card-content>
                     	{{ history.amount | number: '2.' }} {{ history.currency }}
                        </ion-card-content>
                      </ion-card>
                  	</ion-col>
                </ng-template>

                <ng-template #system>
                  	<ion-col col-8  col-sm col-auto>
                      <ion-card id="details"> 
                        <ion-card-content>
                    	{{ history.description }}
                      </ion-card-content>
                      </ion-card>
                  	</ion-col>
                  	<ion-col col-4 col-sm col-auto>
                      <ion-card id="details"> 
                        <ion-card-content>
                    	{{ history.amount | number: '2.' }} {{ history.currency }}
                      </ion-card-content>
                      </ion-card>
                  	</ion-col>
                </ng-template>
            </ion-row>
	</ion-grid>

</ion-content>
